:root {
    --primary-blue: #00606d;
    --accent-orange: #000000;
}

#summer-hoteleria {
    padding: 60px 20px;
    text-align: center;
    font-family: 'Arial', sans-serif;
    background-color: #f9f9f9;
}

.content-phrase {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.svg-summer {
    height: 40px;
    width: 40px;
}

.subtitle {
    color: var(--accent-orange);
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 0px;
}

.section-title {
    color: var(--primary-blue);
    font-size: 36px;
    margin-bottom: 40px;
}

.carousel-img-summer {
    display: flex;
    gap: 0px;
    justify-content: center;
    flex-wrap: wrap;
    max-width: 1080px;
    margin: 0 auto;
}

.body-summer-hotel {
    flex: 1;
    width: 270px;
    height: 410px;
    position: relative;
    border-radius: 0px;
    overflow: hidden;
}

.back-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    transition: transform 0.5s ease;
}

.body-summer-hotel:hover .back-img {
    transform: scale(1.1);
}

.body-summer-hotel::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(transparent 50%, rgba(0, 0, 0, 0.8));
    z-index: 1;
}

.data-hotel-summer {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 30px 20px;
    color: white;
    text-align: center;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.data-hotel-summer p {
    font-size: 22px;
    letter-spacing: 1px;
    margin-bottom: -50px;
    text-transform: uppercase;
    transition: margin 0.3s ease;
}

.btn-explore {
    display: inline-block;
    margin-top: 12px;
    padding: 10px 15px;
    border: 1px solid white;
    color: white;
    text-decoration: none;
    font-size: 15px;
    font-weight: bold;
    border-radius: 4px;
    transition: all 0.2s ease-in;

    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
}

.body-summer-hotel:hover .btn-explore {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.body-summer-hotel:hover .data-hotel-summer p {
    margin-bottom: 0px;
}

.btn-explore:hover {
    background: white;
    color: #333;
}

@media (max-width: 1280px) {
  .carousel-img-summer {
    max-width: 810px;
  }
}

@media (max-width: 1024px) {
  .carousel-img-summer {
    max-width: 540px;
  }
}

@media (max-width: 768px) {
    #summer-hoteleria {
        padding: 60px 10px;
    }
  .carousel-img-summer {
    max-width: 280px;
  }
  .body-summer-hotel {
    width: 280px;
  }
}